JettyPluginConvention (Gradle API 3.2.1)
Date: 2016-11-22

org.gradle.api.plugins.jetty

## Class JettyPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.jetty.JettyPluginConvention

- Deprecated.
  The Jetty plugin has been deprecated

      @Deprecated
      public class JettyPluginConvention
      extends Object

  Convention properties and methods added by the `JettyPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyPluginConvention()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getHttpPort()` Deprecated. Returns the TCP port for Jetty to listen on for incoming HTTP requests.
    `String` | `getStopKey()` Deprecated. Returns the key to use to stop Jetty.
    `Integer` | `getStopPort()` Deprecated. Returns the TCP port for Jetty to listen on for stop requests.
    `void` | `setHttpPort(Integer httpPort)` Deprecated.
    `void` | `setStopKey(String stopKey)` Deprecated.
    `void` | `setStopPort(Integer stopPort)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyPluginConvention

          public JettyPluginConvention()

      Deprecated.

  - ### Method Detail

    - #### getHttpPort

          public Integer getHttpPort()

      Deprecated.
      Returns the TCP port for Jetty to listen on for incoming HTTP requests.

    - #### setHttpPort

          public void setHttpPort(Integer httpPort)

      Deprecated.

    - #### getStopPort

          public Integer getStopPort()

      Deprecated.
      Returns the TCP port for Jetty to listen on for stop requests.

    - #### setStopPort

          public void setStopPort(Integer stopPort)

      Deprecated.

    - #### getStopKey

          public String getStopKey()

      Deprecated.
      Returns the key to use to stop Jetty.

    - #### setStopKey

          public void setStopKey(String stopKey)

      Deprecated.